# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, ... }:
with pkgs;

testEnv.mkTest rec {
  name = "signal";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./signal.dhall;
  testInputs = [ (pkgs.genodeSources.make "test/signal") ];
  testScript = "run_genode_until {--- Signalling test finished ---} 120";
}
